Mono und der Compiler

Bei dem kompilieren eines Mono Projektes unter MonoDevelop auf einem Kubuntu System kam es zu folgender Fehlermeldung:

Could not obtain a C# compiler. C#-Compiler für Mono / .NET 2.0 nicht gefunden.

Das Problem entsteht dadurch das Mono verschiedene Compiler kennt, jeweils für die 1.1er, die 2.0er, die 2.1er und die 4.0er Laufzeitumgebung. Die Lösung ist eine einfache Nachinstallation der betreffenden Compiler mittels:

sudo apt-get install mono-mcs mono-gmcs mono-dmcs

Danach sollten die Projekte wieder ohne Probleme kompilieren.

Weitere Informationen gibt es unter:
http://www.mono-project.com/CSharp_Compiler


Dir gefällt dieser Beitrag und du möchtest helfen? Werde Mitglied und unterstütze mich.

2 Kommentare » Schreibe einen Kommentar

  1. Hallo, danke für die Antwort. Hatte das selbe Problem unter Linux Mint 12 mit Standard Installation von Mono Develop 2.6. Schade das der Fehler auftritt weil man nicht direkt loslegen kann..

    Ciao

  2. Danke, für den Tipp! Als ich MonoDevelop auch auf mein Desktop mit Ubuntu12.04 installierte kam die Fehlermeldung. Komisch nur weil ich schon MonoDevelop 2.8 auch auf mein Netbook mit Ubuntu 12.04 benutze und es hat immer compiliert.

Schreibe einen Kommentar

Pflichtfelder sind mit * markiert.